#
# Conditional build:
%bcond_without	python3		# Python 3.x bindings

%define		gitrev	c3207af
Summary:	High-level API for the libsolv library
Summary(pl.UTF-8):	Wysokopoziomowe API dla biblioteki libsolv
Name:		hawkey
Version:	0.5.1
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://pkgs.fedoraproject.org/repo/pkgs/hawkey/%{name}-%{gitrev}.tar.xz/2a48a85248e9797ba6ed3f2c3b8a81ba/%{name}-%{gitrev}.tar.xz
# Source0-md5:	2a48a85248e9797ba6ed3f2c3b8a81ba
URL:		https://github.com/akozumpl/hawkey
BuildRequires:	check-devel
BuildRequires:	cmake >= 2.4
BuildRequires:	expat-devel
BuildRequires:	libsolv-devel >= 0.6.5
BuildRequires:	python-devel >= 2
%{?with_python3:BuildRequires:	python3-devel >= 3}
BuildRequires:	rpm-devel
BuildRequires:	sphinx-pdg
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	libsolv >= 0.6.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hawkey is a library providing simplified C and Python API to libsolv.

%description -l pl.UTF-8
Hawkey to biblioteka udostępniająca uproszczone API dla języków C i
Python do biblioteki libsolv.

%package devel
Summary:	Header files for hawkey library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki hawkey
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libsolv-devel >= 0.6.5
Requires:	rpm-devel
Requires:	zlib-devel

%description devel
Header files for hawkey library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki hawkey.

%package static
Summary:	Static hawkey library
Summary(pl.UTF-8):	Statyczna biblioteka hawkey
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static hawkey library.

%description static -l pl.UTF-8
Statyczna biblioteka hawkey.

%package apidocs
Summary:	API documentation for hawkey library
Summary(pl.UTF-8):	Dokumentacja API biblioteki hawkey
Group:		Documentation

%description apidocs
API documentation for hawkey library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki hawkey.

%package -n python-hawkey
Summary:	Python 2.x bindings for hawkey library
Summary(pl.UTF-8):	Wiązania Pythona 2.x do biblioteki hawkey
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-hawkey
Python 2.x bindings for hawkey library.

%description -n python-hawkey -l pl.UTF-8
Wiązania Pythona 2.x do biblioteki hawkey.

%package -n python3-hawkey
Summary:	Python 3.x bindings for hawkey library
Summary(pl.UTF-8):	Wiązania Pythona 3.x do biblioteki hawkey
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python3-hawkey
Python 3.x bindings for hawkey library.

%description -n python3-hawkey -l pl.UTF-8
Wiązania Pythona 3.x do biblioteki hawkey.

%prep
%setup -q -n %{name}

%build
install -d build %{?with_python3:build-py3}
cd build
%cmake ..

%{__make}
%{__make} doc

%if %{with python3}
cd ../build-py3
%cmake .. \
	-DPYTHON_DESIRED=3

%{__make}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%{__make} -C build-py3/src/python install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{py_sitedir}/hawkey/test
%py_comp $RPM_BUILD_ROOT%{py_sitedir}/hawkey
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}/hawkey
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README.rst
%attr(755,root,root) %{_libdir}/libhawkey.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhawkey.so
%{_includedir}/hawkey
%{_pkgconfigdir}/hawkey.pc
%{_mandir}/man3/hawkey.3*

%files apidocs
%defattr(644,root,root,755)
%doc build/doc/{*.html,*.js,_static}

%files -n python-hawkey
%defattr(644,root,root,755)
%dir %{py_sitedir}/hawkey
%attr(755,root,root) %{py_sitedir}/hawkey/_hawkeymodule.so
%{py_sitedir}/hawkey/__init__.py[co]

%if %{with python3}
%files -n python3-hawkey
%defattr(644,root,root,755)
%dir %{py3_sitedir}/hawkey
%attr(755,root,root) %{py3_sitedir}/hawkey/_hawkey.so
%{py3_sitedir}/hawkey/__init__.py
%endif
%changelog
* Sun Nov 16 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hawkey.git;a=log;h=master

* Sun Nov 16 2014 Jakub Bogusz <qboosh@pld-linux.org> affad8a
- updated to 0.5.1 (note: new soname)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> cd3af78
- python 3.4
- release 2 (by relup.sh)

* Sat Jun 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 1ed80bb
- versioned install time libsolv dependencies

* Sat Jun 14 2014 Elan Ruusamäe <glen@delfi.ee> 8fb9366
- up to 0.4.14

* Sun Nov 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 9f59a81
- new

